from banbou import formatter

def test_enleve_les_accents(mocker):

    original = "äàâ"+ "ëéèê" + "îï" + "ôö" + "ùûü" + "ÿ" + "ç"
    expected_value = "aaaeeeeiioouuuyc"

    out = formatter(original)

    assert out == expected_value

def test_remplace_les_tirets_et_espaces(mocker):

    original = "A-Z-E-R T Y UIOP "
    expected_value = "A_Z_E_R_T_Y_UIOP_"

    out = formatter(original)

    assert out == expected_value

def test_fusionne_les_espaces_et_les_tirets_successifs(mocker):

    original = "A   Z--E   R____TY-----UIOP     "
    expected_value = "A_Z_E_R_TY_UIOP_"

    out = formatter(original)

    assert out == expected_value